Create a conversation with inline files Run in API Explorer
Ask AI
Used to create a conversation and upload files as part of the first message at the same time.
POST
/api/v1/conversation/inline
curl \
--request POST 'https://api.plannrcrm.com/api/v1/conversation/inline' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Annual Review",
"case": "dba66f5a-712c-45ff-afdb-82149e06a9cb",
"participants": [
"d118aed8-05cb-467e-b804-1a34fac185e3",
"d1558ffd-e1f3-424d-9a8c-9e005f2c3408",
"771ca194-7a4a-4e20-9751-df88b2833858"
],
"message": "Hello world!",
"files": [
"b86cc98e-a9f6-4944-90ea-a918a6036130",
"ac6937c9-4df4-40b2-a978-d3b8ba49b2cc",
"bb3d9d58-e9ec-4671-b076-00be9e5037b4"
]
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Annual Review",
"case": "dba66f5a-712c-45ff-afdb-82149e06a9cb",
"participants": [
"d118aed8-05cb-467e-b804-1a34fac185e3",
"d1558ffd-e1f3-424d-9a8c-9e005f2c3408",
"771ca194-7a4a-4e20-9751-df88b2833858"
],
"message": "Hello world!",
"files": [
"b86cc98e-a9f6-4944-90ea-a918a6036130",
"ac6937c9-4df4-40b2-a978-d3b8ba49b2cc",
"bb3d9d58-e9ec-4671-b076-00be9e5037b4"
]
}
Response examples (200)
{
"uuid": "07c8c079-2e2d-4305-86f7-8a37af145906",
"created_at": "2026-09-25T11:44:10+01:00",
"updated_at": "2026-09-25T11:44:10+01:00",
"name": "Welcome to Plannr",
"slug": "welcome-to-plannr",
"belongs_to_case": true,
"case": {
"uuid": "8e836f0d-5e4e-47cc-9c1a-8a587de4474a",
"created_at": "2026-09-25T11:44:10+01:00",
"updated_at": "2026-09-25T11:44:10+01:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "e5707391-d73b-4a8a-93a0-51c6df7fd829",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00"
},
"review_at": "2026-09-25T11:44:10+01:00",
"assigned_to_uuids": [
"68fef05c-bca6-4df0-8cbd-e2302356cb49"
],
"group_uuids": [
"bc6b259c-e402-4c5b-a8ce-cf71edeed3e8"
],
"completed_at": "2026-09-25T11:44:10+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "d0c2a9b0-65eb-4304-8ab7-9819b9c50e39",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-25T11:44:18+01:00",
"next_review_date": "2026-09-25T11:44:18+01:00",
"previous_review_date": "2026-09-25T11:44:18+01:00",
"anniversary_review_date": "2026-09-25T11:44:18+01:00",
"terms_of_business_at": "2026-09-25T11:44:18+01:00",
"client_agreement_at": "2026-09-25T11:44:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-25",
"last_interaction_at": "2026-09-25 11:44:18",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-25T11:44:18+01:00",
"out_of_office_until": "2026-09-25T11:44:18+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"task_board_uuid": "059ce03a-6b6c-49a6-9d4b-febda47e3c8f",
"plans": {
"uuid": "f0062c98-4fe2-443d-b44f-f1596afc55f8",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"opened_at": "2026-09-25T11:44:18+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-09-25T11:44:18+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-09-25",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-09-25",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-09-25T11:44:18+01:00",
"original_valued_at": "2026-09-24T11:44:18+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
},
"participants_count": 3,
"participants": [
{
"uuid": "8a0a29a9-bb99-4dfa-b507-e367eb911a3e",
"created_at": "2026-09-25T11:44:10+01:00",
"updated_at": "2026-09-25T11:44:10+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "d4f4b9b4-9715-4c61-9779-8037601d2871",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "1d69b8df-1c3a-428a-a37b-79f6a9cd05fd",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "1d69b8df-1c3a-428a-a37b-79f6a9cd05fd",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "f57be9a7-ea26-497c-8db4-38d4fc22a801",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-09-25T10:54:18+01:00",
"end_date": "2026-09-25T11:22:18+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "d0c2a9b0-65eb-4304-8ab7-9819b9c50e39",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-25T11:44:18+01:00",
"next_review_date": "2026-09-25T11:44:18+01:00",
"previous_review_date": "2026-09-25T11:44:18+01:00",
"anniversary_review_date": "2026-09-25T11:44:18+01:00",
"terms_of_business_at": "2026-09-25T11:44:18+01:00",
"client_agreement_at": "2026-09-25T11:44:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-25",
"last_interaction_at": "2026-09-25 11:44:18",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-25T11:44:18+01:00",
"out_of_office_until": "2026-09-25T11:44:18+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "d0c2a9b0-65eb-4304-8ab7-9819b9c50e39",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-25T11:44:18+01:00",
"next_review_date": "2026-09-25T11:44:18+01:00",
"previous_review_date": "2026-09-25T11:44:18+01:00",
"anniversary_review_date": "2026-09-25T11:44:18+01:00",
"terms_of_business_at": "2026-09-25T11:44:18+01:00",
"client_agreement_at": "2026-09-25T11:44:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-25",
"last_interaction_at": "2026-09-25 11:44:18",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-25T11:44:18+01:00",
"out_of_office_until": "2026-09-25T11:44:18+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "d0c2a9b0-65eb-4304-8ab7-9819b9c50e39",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-25T11:44:18+01:00",
"next_review_date": "2026-09-25T11:44:18+01:00",
"previous_review_date": "2026-09-25T11:44:18+01:00",
"anniversary_review_date": "2026-09-25T11:44:18+01:00",
"terms_of_business_at": "2026-09-25T11:44:18+01:00",
"client_agreement_at": "2026-09-25T11:44:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-25",
"last_interaction_at": "2026-09-25 11:44:18",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-25T11:44:18+01:00",
"out_of_office_until": "2026-09-25T11:44:18+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "d0c2a9b0-65eb-4304-8ab7-9819b9c50e39",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-25T11:44:18+01:00",
"next_review_date": "2026-09-25T11:44:18+01:00",
"previous_review_date": "2026-09-25T11:44:18+01:00",
"anniversary_review_date": "2026-09-25T11:44:18+01:00",
"terms_of_business_at": "2026-09-25T11:44:18+01:00",
"client_agreement_at": "2026-09-25T11:44:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-25",
"last_interaction_at": "2026-09-25 11:44:18",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-25T11:44:18+01:00",
"out_of_office_until": "2026-09-25T11:44:18+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "8b7b65cb-0f4a-4300-b6c5-ec677f20ced3",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00"
},
"tags": {
"uuid": "6494ff1d-d2fc-48a0-886d-2e7ddd82de81",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "d0c2a9b0-65eb-4304-8ab7-9819b9c50e39",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-25T11:44:18+01:00",
"next_review_date": "2026-09-25T11:44:18+01:00",
"previous_review_date": "2026-09-25T11:44:18+01:00",
"anniversary_review_date": "2026-09-25T11:44:18+01:00",
"terms_of_business_at": "2026-09-25T11:44:18+01:00",
"client_agreement_at": "2026-09-25T11:44:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-25",
"last_interaction_at": "2026-09-25 11:44:18",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-25T11:44:18+01:00",
"out_of_office_until": "2026-09-25T11:44:18+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-09-25T11:44:10+01:00",
"next_review_date": "2026-09-25T11:44:10+01:00",
"previous_review_date": "2026-09-25T11:44:10+01:00",
"anniversary_review_date": "2026-09-25T11:44:10+01:00",
"terms_of_business_at": "2026-09-25T11:44:10+01:00",
"client_agreement_at": "2026-09-25T11:44:10+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "026fb469-fab0-43ed-ab24-5a0f59882465",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-25T11:44:18+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "645535bc-b013-4c83-b7bd-abf05f2bb250",
"login_access_level": "write",
"current_life_stage_uuid": "aa79c366-2eea-4ddf-977f-3192fb419006"
},
"circles": {
"uuid": "026fb469-fab0-43ed-ab24-5a0f59882465",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-25T11:44:18+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "645535bc-b013-4c83-b7bd-abf05f2bb250",
"login_access_level": "write",
"current_life_stage_uuid": "aa79c366-2eea-4ddf-977f-3192fb419006"
},
"ownership_percentage": 100,
"inactive_at": "2026-09-25",
"last_interaction_at": "2026-09-25 11:44:10",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-25T11:44:10+01:00",
"out_of_office_until": "2026-09-25T11:44:10+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "02e95623-c7bf-457a-83b8-b58743b60eb8",
"name": "Gold",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "63c33d5d-2cd3-4512-8ccb-cf168a11be7a",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"latest_message": {
"uuid": "f5944779-998b-4800-9ae5-5a76c94ca8e1",
"created_at": "2026-09-25T11:44:10+01:00",
"updated_at": "2026-09-25T11:44:10+01:00",
"deleted_at": "2026-09-25T11:44:10+01:00",
"contents": "Welcome to Plannr!",
"edited": true,
"files": {
"uuid": "0b579099-1c2f-470f-861f-519aeb37a240",
"created_at": "2026-09-25T11:44:18+01:00",
"original_created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"uploaded_at": "2026-09-25T11:44:18+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-09-25T11:44:18+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/0ebec090-6002-4ea5-b6c9-1bcb3d487e86/download",
"preview_url": "https://api.plannrcrm.com/file/da9feeb0-81b5-491f-a931-441c04895877/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"author": {
"uuid": "d0c2a9b0-65eb-4304-8ab7-9819b9c50e39",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-25T11:44:18+01:00",
"next_review_date": "2026-09-25T11:44:18+01:00",
"previous_review_date": "2026-09-25T11:44:18+01:00",
"anniversary_review_date": "2026-09-25T11:44:18+01:00",
"terms_of_business_at": "2026-09-25T11:44:18+01:00",
"client_agreement_at": "2026-09-25T11:44:18+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-25",
"last_interaction_at": "2026-09-25 11:44:18",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-25T11:44:18+01:00",
"out_of_office_until": "2026-09-25T11:44:18+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"user": {
"uuid": "cc2c4289-255c-44fa-93ee-bb573e2f7b2b",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"type": "standard",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"two_factor_enabled": true,
"two_factor_setup_required": true,
"two_factor_type": "sms",
"otp_confirmed_at": "2026-09-25T11:44:18+01:00",
"otp_pending": false,
"sms_two_factor_enabled": true,
"two_factor_mobile": true,
"two_factor_mobile_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"session_expires_at": "2026-09-25T11:44:18+01:00",
"remember_token_expires_at": true,
"should_auto_save_notes": true
},
"reactions": {
"uuid": "15d0dcd7-7ace-439f-bdf8-1a418b90fac7",
"created_at": "2026-09-25T11:44:18+01:00",
"updated_at": "2026-09-25T11:44:18+01:00",
"account_uuid": null,
"account_name": "Gareth Thompson",
"reaction": "like"
}
},
"messages_count": 30,
"files_count": 2,
"tags": [
{
"uuid": "24bce972-da69-4b3d-bbb7-16afaf968c1d",
"created_at": "2026-09-25T11:44:10+01:00",
"updated_at": "2026-09-25T11:44:10+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
],
"pinned": true,
"is_admin": false
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}